--- title: "getServerSpecDetail" slug: "compute-vserver-server-common-getserverspecdetail" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-server-common-getserverspecdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getServerSpecDetail Available in VPC Get details of a server specification. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getServerSpecDetail | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `serverSpecCode` | String | Required | Server specification code - See [getServerSpecList](/docs/en/compute-vserver-server-common-getserverspeclist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getServerSpecDetail ?regionCode=KR &serverSpecCode=c2-g3 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getServerSpecDetailResponse` | Object | - | Response result - See [ServerSpecList](/docs/en/common-vapidatatype-serverspeclist). | | `getServerSpecDetailResponse.requestId` | String | - | ID for the request - UUID format | | `getServerSpecDetailResponse.returnCode` | String | - | Response code | | `getServerSpecDetailResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getServerSpecDetailResponse": { "totalRows": 1, "serverSpecList": [ { "serverSpecNo": 821, "serverSpecCode": "c2-g3", "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "generationCode": "G3", "cpuArchitectureType": { "code": "X86_64", "codeName": "x86 64bit" }, "cpuCount": 2, "memorySize": 4294967296, "blockStorageMaxCount": 20, "blockStorageMaxIops": 5250, "blockStorageMaxThroughput": 81, "networkPerformance": 1000000000, "networkInterfaceMaxCount": 3, "serverSpecDescription": "vCPU 2EA, Memory 4GB", "serverProductCode": "SVR.VSVR.HICPU.C002.M004.G003" } ], "requestId": "aaf1d334-****-****-****-53b352ba878e", "returnCode": "0", "returnMessage": "success" } } ```